<?php

namespace STM\Competition\Playoff\Team;

use \GetterOfTestingInstances;
use \Exception;

/**
 * Test class for PlayoffTeam.
 * Generated by PHPUnit on 2012-02-05 at 19:14:25.
 * @group competition_playoff
 */
class PlayoffTeamTest extends \PHPUnit_Framework_TestCase {

    /** @var array(PlayoffTeam) */
    private $teams;

    protected function setUp() {        
        $playoff = GetterOfTestingInstances::getPlayoff();
        $this->teams = PlayoffTeam::find($playoff);
        if (!$this->teams) {
            $this->teams = array();
        }
    }


    public function testFind() {
        foreach ($this->teams as $playoff_team) {
            parent::assertInstanceOf('\STM\Competition\Playoff\Team\PlayoffTeam', $playoff_team);
        }
    }

    public function testUpdate_playoff_seeded() {
        // other tests in PlayoffTeamValidator
    }

    public function testGet_id_team() {
        foreach ($this->teams as $playoff_team) {
            parent::assertTrue(is_int($playoff_team->getIdTeam()));
        }
    }

    public function testGet_seeded() {
        foreach ($this->teams as $playoff_team) {
            parent::assertTrue(is_int($playoff_team->getIdTeam()) || is_null($playoff_team->getIdTeam()));
        }
    }

    public function testGet_team() {
        foreach ($this->teams as $playoff_team) {
            parent::assertInstanceOf('\STM\Team\Team', $playoff_team->getTeam());
        }
    }
    
    public function test__toString() {
        foreach ($this->teams as $playoff_team) {
            parent::assertTrue(is_string($playoff_team->__toString()));
        }
    }

}

?>
